org.kie.api.runtime.conf

## Enum DirectFiringOption

- java.lang.Object
- - java.lang.Enum<DirectFiringOption>
  - - org.kie.api.runtime.conf.DirectFiringOption

- All Implemented Interfaces:
    Serializable, Comparable<DirectFiringOption>, Option, KieSessionOption, SingleValueKieSessionOption

      public enum DirectFiringOption
      extends Enum<DirectFiringOption>
      implements SingleValueKieSessionOption

  An option to define if the KieSession should directly firing consequences bypassing the agenda. By default this option is disabled. Enabling this will bring a performance improvement at the cost of being no longer able to use salience, no-loop and other features that affect rules' precedence. drools.directFiring = <true|false> DEFAULT = false

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO`
    `YES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the direct firing configuration

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isDirectFiring()`
    `static DirectFiringOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DirectFiringOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final DirectFiringOption YES

    - #### NO

          public static final DirectFiringOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the direct firing configuration
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static DirectFiringOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirectFiringOption c : DirectFiringOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirectFiringOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### isDirectFiring

          public boolean isDirectFiring()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.